Name:		jets3t
Version:	0.8.1
Release:	%mkrel 2
Summary:	Java interface to Amazon S3 and CloudFront services
Group:		Development/Java
License:	ASL 2.0
Url:		http://jets3t.s3.amazonaws.com/index.html
# hg clone https://bitbucket.org/jmurty/jets3t
Source0:	http://bitbucket.org/jmurty/jets3t/downloads/%{name}-%{version}.zip
Source1:	http://repo1.maven.org/maven2/net/java/dev/%{name}/%{name}/%{version}/%{name}-%{version}.pom
Source2:	jets3t-script
# libs/safehaus_jug/jug-asl-2.0.0.jar
Patch0:		jets3t-0.8.1-replace_uuid_lib.patch
# libs/misc/BareBonesBrowserLaunch.jar
Patch1:		jets3t-0.8.1-BareBonesBrowserLaunch.patch
Patch2:		jets3t-0.8.1-build_xml.patch
Patch3:		jets3t-0.8.1-thirdparty_task.patch
Patch4:		jets3t-0.8.1-rename_app_jars.patch
Patch5:		jets3t-0.8.1-scripts.patch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils

BuildRequires:	ant
BuildRequires:	apache-commons-codec
BuildRequires:	apache-commons-logging
BuildRequires:	axis
BuildRequires:	geronimo-jaxrpc-1_1-api
BuildRequires:	jakarta-commons-httpclient
BuildRequires:	java-xmlbuilder
BuildRequires:	junit
BuildRequires:	liblog4j-java
BuildRequires:	servlet25

Requires:	apache-commons-codec
Requires:	apache-commons-logging
Requires:	jakarta-commons-httpclient
Requires:	java-xmlbuilder


Requires:	java
Requires:	jpackage-utils
Requires(post):	jpackage-utils
Requires(postun): jpackage-utils
BuildArch:	noarch

%description
The JetS3t toolkit provides Java programmers with an API for interacting and
managing data stored in Amazon Simple Storage Service and Amazon CloudFront
content delivery network.

%package	app
Summary:	Graphical and command-line tools for Amazon S3 and CloudFront
Group:		Development/Java
Requires:	axis
Requires:	bouncycastle
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
Requires:	liblog4j-java

%description app
The JetS3t toolkit provides Java programmers with an API for interacting and
managing data stored in Amazon Simple Storage Service and Amazon CloudFront
content delivery network.

Features:
- jets3t-cockpitlite: A graphical application that Service Providers with S3
  accounts may provide to clients or customers without S3 accounts.
  jets3t-cockpitlite allows users to manage the content of an S3 account to
  upload files, download files, delete S3 objects and make objects publicly
  accessible. All these operations are mediated by a Gatekeeper service.
- jets3t-cockpit: graphical application for transferring files, viewing and
  managing the contents of an Amazon S3 account.
- jets3t-synchronize: A command-line application for synchronizing
  directories on your computer with an Amazon S3 account. Ideal for
  performing back-ups or synchronizing files between different computers.
- jets3t-uploader: A graphical application that Service Providers with S3
  accounts may provide to clients or customers without S3 accounts.
  jets3t-uploader allows users to upload files to S3 using a simple
  wizard-based workflow, but all uploads must first be authorized by a
  Gatekeeper service
- gatekeeper: A servlet that acts as an authorization service running on a
  Service Provider's server to mediate access to S3 accounts.
  It processes requests from client applications such as JetS3t Uploader &
  CockpitLite, and authorizes the client application to perform operations
  such as uploads, downloads and deletes.

%package	javadoc
Summary:	Javadocs for %{name}
Group:		Development/Java
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

for j in $(find . -name "*.jar"); do
   rm -f $j
done

for c in $(find . -name "*.class"); do
   rm -f $c
done

for b in $(find . -name "*.bat"); do
   rm -f $b
done

unzip src.zip

%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0
%patch5 -p1

native2ascii -encoding UTF8 src/org/jets3t/tests/BaseStorageServiceTests.java src/org/jets3t/tests/BaseStorageServiceTests.java

%build
ant rebuild-all
ant javadoc

%install
mkdir -p %{buildroot}%{_javadir}

install -pm 644 jars/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/
install -pm 644 jars/%{name}-cockpit-%{version}.jar \
  %{buildroot}%{_javadir}/
install -pm 644 jars/%{name}-cockpitlite-%{version}.jar \
  %{buildroot}%{_javadir}/
install -pm 644 jars/%{name}-deps-%{version}.jar \
  %{buildroot}%{_javadir}/
install -pm 644 jars/%{name}-gui-%{version}.jar \
  %{buildroot}%{_javadir}/
install -pm 644 jars/%{name}-synchronize-%{version}.jar \
  %{buildroot}%{_javadir}/
install -pm 644 jars/%{name}-uploader-%{version}.jar \
  %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_datadir}/%{name}/jars
(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf ../../java/jets3t-gui.jar %{buildroot}%{_datadir}/%{name}/jars/jets3t-gui.jar
  ln -sf ../../java/jets3t-cockpit.jar %{buildroot}%{_datadir}/%{name}/jars/jets3t-cockpit.jar
  ln -sf ../../java/jets3t-cockpitlite.jar %{buildroot}%{_datadir}/%{name}/jars/jets3t-cockpitlite.jar
  ln -sf ../../java/jets3t-uploader.jar %{buildroot}%{_datadir}/%{name}/jars/jets3t-uploader.jar
  ln -sf ../../java/jets3t-synchronize.jar %{buildroot}%{_datadir}/%{name}/jars/jets3t-synchronize.jar
  ln -sf ../../java/jets3t-deps.jar %{buildroot}%{_datadir}/%{name}/jars/jets3t-deps.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap net.java.dev.%{name} %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -pm 755 bin/cockpit.sh %{buildroot}%{_bindir}/%{name}-cockpit
install -pm 755 bin/cockpitlite.sh %{buildroot}%{_bindir}/%{name}-cockpitlite
install -pm 755 bin/synchronize.sh %{buildroot}%{_bindir}/%{name}-synchronize
install -pm 755 bin/uploader.sh %{buildroot}%{_bindir}/%{name}-uploader
mkdir -p %{buildroot}%{_datadir}/%{name}/bin
for TOOL in cockpit cockpitlite synchronize uploader
do
  ln -sf ../../../bin/%{name}-$TOOL %{buildroot}%{_datadir}/%{name}/bin/$TOOL.sh
done

chmod 0755  %{buildroot}%{_datadir}/%{name}/bin/*

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -pr configs/* %{buildroot}%{_sysconfdir}/%{name}/
ln  -sf ../../../etc/%{name} %{buildroot}%{_datadir}/%{name}/configs

mkdir -p %{buildroot}%{_datadir}/%{name}/resources
cp -pr resources/* %{buildroot}%{_datadir}/%{name}/resources/
rm %{buildroot}%{_datadir}/%{name}/resources/images/nuvola/license.txt

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-cockpit-%{version}.jar
%{_javadir}/%{name}-cockpit.jar
%{_javadir}/%{name}-cockpitlite-%{version}.jar
%{_javadir}/%{name}-cockpitlite.jar
%{_javadir}/%{name}-deps-%{version}.jar
%{_javadir}/%{name}-deps.jar
%{_javadir}/%{name}-gui-%{version}.jar
%{_javadir}/%{name}-gui.jar
%{_javadir}/%{name}-synchronize-%{version}.jar
%{_javadir}/%{name}-synchronize.jar
%{_javadir}/%{name}-uploader-%{version}.jar
%{_javadir}/%{name}-uploader.jar
%{_datadir}/%{name}/jars/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE-2.0.txt NOTICE.txt README.markdown RELEASE_NOTES.markdown

%files app
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/%{name}-*
%{_datadir}/%{name}/bin/*
%{_datadir}/%{name}/configs
%{_datadir}/%{name}/resources

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 15 2013 sander85 <sander85> 0.8.1-2.mga3
+ Revision: 388399
- Fix file encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 09 2011 gil <gil> 0.8.1-1.mga2
+ Revision: 166013
- imported package jets3t

